<?xml version="1.0"?>
<schema version="0.2">
  <table name="notes">
    <field name="id" type="I">
      <KEY/>
	  <NOTNULL/>
    </field>
    <field name="title" type="C" size="255">
	  <NOTNULL/>
    </field>
    <field name="content" type="X">
    </field>
    <field name="ispublic" type="I">
	  <NOTNULL/>
      <DEFAULT value="0"/>
    </field>
    <field name="owner" type="I">
	  <NOTNULL/>
    </field>
    <field name="catid" type="I">
	  <NOTNULL/>
      <DEFAULT value="0"/>
    </field>
    <field name="lu_user" type="I">
	  <NOTNULL/>
      <DEFAULT value="0"/>
    </field>
    <field name="lu_update" type="T">
    </field>
  </table>

  <table name="notes_categories">
    <field name="id" type="I">
      <KEY/>
	  <NOTNULL/>
    </field>
    <field name="name" type="C" size="100">
	  <NOTNULL/>
    </field>
    <field name="description" type="C" size="255">
    </field>
    <field name="lu_update" type="T">
    </field>
    <field name="lu_user" type="I">
	  <NOTNULL/>
      <DEFAULT value="0"/>
    </field>

  <index name="name">
    <UNIQUE/>
    <col>name</col>
  </index>
  </table>
  
  <table name="notes_comments">
    <field name="id" type="I">
      <KEY/>
	  <NOTNULL/>
    </field>
    <field name="note_id" type="I">
	  <NOTNULL/>
    </field>
    <field name="comment" type="X">
    </field>
    <field name="lu_update" type="T">
    </field>
    <field name="lu_user" type="I">
	  <NOTNULL/>
      <DEFAULT value="0"/>
    </field>
  </table>

  <mgw>
	<moduleDefinition>
		<module>
			<module_type>3</module_type>
			<name>notes</name>
			<version>0.92</version>
			<date>2004-02-13</date>
			<author>Karsten Dambekalns</author>
			<email>k.dambekalns@fishfarm.de</email>
			<description>A module for managing notes.</description>
			<compatibility>0.7.2</compatibility>
			<secure>true</secure>
		</module>
	</moduleDefinition>
  </mgw>
</schema>

